Summary: Beamer LaTeX class for Presentations
Name: latex-beamer
Version: 2.21
Release: 1.PU_IAS.1
Source0: %{name}-%{version}.tar.gz
Copyright: distributable
Group: Applications/Publishing
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: tetex
Packager: Thomas Uphill <uphill@ias.edu>

%define emacspkgdir %{_prefix}/share/emacs/site-lisp
%define lyxdir %{_datadir}/lyx

%description
beamer -- A LaTeX class for producing beamer presentations
                                                                                                                                                             
See the documentation in doc/beameruserguide.pdf for a user
manual. Read the INSTALL file for installing the class on your
system.
                                                                                                                                                             
Please go to http://sourceforge.net/projects/latex-beamer/
to submit bug reports, request new features, etc.

%package emacs
Summary: emacs auctex enhancements for beamer
Group: Applications/Editors
Requires: emacs >= 21.1
                                                                                                                                                             
%description emacs
beamer.el adds some beamer stuff to emacs AucTeX mode. 

%package lyx
Summary: lyx enhancements for beamer
Group: Applications/Editors
Requires: lyx 
                                                                                                                                                             
%description lyx
The LyX documentation is in the main documentation file
doc/beameruserguide.pdf. 

%prep
%setup -q -c

%build
echo "No build necessary"
mv beamer/* .
rm -r beamer

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/texmf/tex/latex/%{name}
install -m 0644 base/* $RPM_BUILD_ROOT/%{_datadir}/texmf/tex/latex/%{name}
install -d -m 0755 $RPM_BUILD_ROOT/%{_datadir}/texmf/tex/latex/%{name}/art
install -m 0644 art/* $RPM_BUILD_ROOT/%{_datadir}/texmf/tex/latex/%{name}/art
install -d -m 0755 $RPM_BUILD_ROOT/%{emacspkgdir}
install -m 0644 emacs/* $RPM_BUILD_ROOT/%{emacspkgdir}
install -d -m 0755 $RPM_BUILD_ROOT/%{lyxdir}/layouts
install -m 0644 lyx/layouts/* $RPM_BUILD_ROOT/%{lyxdir}/layouts
install -d -m 0755 $RPM_BUILD_ROOT/%{lyxdir}/examples
install -m 0644 lyx/examples/* $RPM_BUILD_ROOT/%{lyxdir}/examples
install -d -m 0755 $RPM_BUILD_ROOT/%{lyxdir}/templates
install -m 0644 lyx/templates/* $RPM_BUILD_ROOT/%{lyxdir}/templates


%post 
texhash

%postun
texhash

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,0755)  
%doc AUTHORS INSTALL README TODO
%doc doc/*
%dir %{_datadir}/texmf/tex/latex/%{name}
%{_datadir}/texmf/tex/latex/%{name}

%files emacs
%defattr(644,root,root,0755)  
%{emacspkgdir}/beamer.el

%files lyx
%defattr(644,root,root,0755)  
%{lyxdir}/examples/*
%{lyxdir}/layouts/*
%{lyxdir}/templates/*

%changelog
* Thu Jul 15 2004 Thomas Uphill <uphill@math.ias.edu>
- start
